manifoldcf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Karl Wright <daddy...@gmail.com>
Subject Re: Does the ES pluging work for ES 5.5.x?
Date Sat, 02 Sep 2017 19:46:40 GMT
I just tried compiling it here and it looks like pretty near every method
signature in the ES API changed since last year at this time.

The ManifoldCF project simply does not have the resources to keep up with
projects like ES that value backwards compatibility so little that we need
to redevelop our plugins each year for them.  If you want to have a hand at
redeveloping this plugin and are willing to contribute it, we'll take it
onboard.

Sorry!
Karl


On Sat, Sep 2, 2017 at 3:38 PM, Karl Wright <daddywri@gmail.com> wrote:

> Hi Steph,
>
> The version of ManifoldCF doesn't matter.
>
> The ManifoldCF Plugin for ES 2.0 was coded to compile against ES 2.0.
> It's pretty easy to see if it compiles against 5.5 -- you just change a
> version in the plugin's pom and rebuild.  Having said that, I have no idea
> what APIs in ES may have changed.  I *think* 5.5 is really 2.5.5, so it may
> all work.  Please give it a try and let us know what happens.
>
> Thanks,
> Karl
>
>
> On Sat, Sep 2, 2017 at 12:58 PM, Steph van Schalkwyk <steph@remcam.net>
> wrote:
>
>> Hi,
>> Has anyone used the MCF ES Pluging on ES 5.5.x and MCF 2.8.z?
>> Thanks
>> Steph
>>
>>
>

Mime
View raw message